// Blur also affects World position
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo;
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 10, std140) uniform type_FishEyeVSConstants
{
    layout(row_major) mat4x3 g_xTextureScaleOffset;
    vec4 g_xUVsOffsetsScale;
} FishEyeVSConstants;

layout(location = 0) out vec4 out_var_TEXCOORD0;

vec3 _35;

void main()
{
    vec2 _44 = (vec2(float(uint(gl_VertexIndex) / 2u), float(uint(gl_VertexIndex) & 1u)) * vec2(4.0, -4.0)) + vec2(-1.0, 1.0);
    float _45 = _44.x;
    float _49 = (_45 * 0.5) + 0.5;
    float _51 = (_44.y * (-0.5)) + 0.5;
    vec2 _58 = (FishEyeVSConstants.g_xUVsOffsetsScale.zw * vec2(_49, _51)) + FishEyeVSConstants.g_xUVsOffsetsScale.xy;
    vec3 _61 = vec3(_49, _51, 1.0);
    vec2 _63 = _61.xy - vec2(0.5);
    vec3 _64 = vec3(_63.x, _63.y, _61.z);
    vec3 _67 = _35;
    _67.x = dot(FishEyeVSConstants.g_xTextureScaleOffset[0], _64);
    vec3 _70 = _67;
    _70.y = dot(FishEyeVSConstants.g_xTextureScaleOffset[1], _64);
    vec2 _72 = _70.xy + vec2(0.5);
    gl_Position = vec4(_45, _44.y, 0.0, 1.0);

    out_var_TEXCOORD0 = vec4(_72.x, _72.y, _58.x, _58.y);
    
     //if (vk3d_params[VIEW].custom_params.y == 1.0)
           //gl_Position.x = 0;
}






